Subject: bug#56676: closed (Re: SuperCollider's Help Browser doesn't display text (possible QtWebEngine issue?))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 May 2025 13:29:02 +0000

Your bug report

#56676: SuperCollider's Help Browser doesn't display text (possible QtWebEngine issue?)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56676: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56676
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: SuperCollider's Help Browser doesn't display text (possible QtWebEngine issue?)
From: Gabriel Wicki <[email-masked]>
To: [email-masked]
Cc: Gabriel Wicki <[email-masked]>
Date: Tue, 13 May 2025 15:28:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this ancient report - SuperCollider worked in the meantime
(including the help browser)

Subject: SuperCollider's Help Browser doesn't display text (possible QtWebEngine issue?)
From: Gabriel Wicki <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jul 2022 01:33:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I've noticed that when starting SuperCollider IDE (with the scide
command) the Help Browser (which is the panel on top on the right side
with vanilla/no configuration) doesn't show any text.  IIRC
SuperCollider's documentation is HTML documents (you can also browse it
online [1]) displayed through some QtWeb-widget (I am no expert in Qt).

My first question: is this reproducible?  Or do others also see no text
in the Help Browser?

I have tried adding qtwebengine as an input and passing a configure
flag, but this didn't change the issue:

diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index bab9d66a2d..975690b72f 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -3183,6 +3183,7 @@ (define-public supercollider
                            "-DSC_QT=ON"
                            "-DCMAKE_BUILD_TYPE=Release"
                            "-DFORTIFY=ON"
+                           "-DSC_USE_QTWEBENGINE:BOOL=ON"
                            ;; "-DLIBSCSYNTH=ON"   ; TODO: Re-enable?
                            "-DSC_EL=OFF") ;scel is packaged individually as emacs-scel
        #:phases
@@ -3234,6 +3235,7 @@ (define-public supercollider
                   qtdeclarative
                   qtsvg
                   qtwebchannel
+                  qtwebengine
                   qtwebsockets))
     (propagated-inputs                  ;to get native-search-path
      (list qtwebengine))

I'm more than happy to hunt that bug down but am grateful for any
pointers to where the issue could possibly originate.

gabriel

[1] https://doc.sccode.org